!=========================================================================
! Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: obsclampsp.gs 27259 2011-11-09 22:12:54Z stever $
!
! Superclass Hierarchy:
!   ObsoleteClampSpecification, Object.
!
!=========================================================================
removeallmethods ObsoleteClampSpecification
removeallclassmethods ObsoleteClampSpecification

category: 'For Documentation Installation only'
classmethod: ObsoleteClampSpecification
installDocumentation

| doc txt |

doc := GsClassDocumentation _newForObsoleteGsClass: self asOfGsVersion: '5.0'.

txt := (GsDocText new) details:
'It does not make sense for clamp specifications to be persistent.
 Existing instances should be removed.' .
doc documentClassWith: txt.

self description: doc.
%

category: 'Instance Creation'
classmethod: ObsoleteClampSpecification
new

"Disallowed.  This class is obsolete."

self shouldNotImplement: #new
%

